org.apache.hc.client5.http.classic.methods

## Interface HttpExecutionAware

    public interface HttpExecutionAware

Interface to be implemented by any object that wishes to be notified of blocking I/O operations that could be cancelled.

Since:
  4.3

### Method Summary

Methods
`boolean` `isAborted()`
`void` `setCancellable(Cancellable cancellable)` Sets `Cancellable` for the ongoing operation.

### Method Detail

#### isAborted

    boolean isAborted()

#### setCancellable

    void setCancellable(Cancellable cancellable)

Sets `Cancellable` for the ongoing operation.

Parameters:
  `cancellable` - `Cancellable` for the ongoing operation.